//
// Fragment shader for computing vertex positions for simple R2VB demo
//

uniform sampler2D	srcMap;

void	main ()
{
	vec3	clr = texture2D ( srcMap, gl_TexCoord [0].xy ).xyz;
	float	lum = dot ( clr, vec3 ( 0.3, 0.59, 0.11 ) );
	
	gl_FragColor = vec4 ( 10.0*gl_TexCoord [0].xy, lum, 1 );
}